### Constructor

# Clutter ColorStateParams new_from_primitives

#### Declaration [src]

    ClutterColorState*
    clutter_color_state_params_new_from_primitives (
      ClutterContext* context,
      ClutterColorimetry colorimetry,
      ClutterEOTF eotf,
      ClutterLuminance luminance
    )

#### Description [src]

Create a new ClutterColorState object using the color primitives.

#### Parameters

`context`

  Type: `ClutterContext`

  No description available.

  The data is owned by the caller of the function.

`colorimetry`

  Type: `ClutterColorimetry`

  No description available.

`eotf`

  Type: `ClutterEOTF`

  No description available.

`luminance`

  Type: `ClutterLuminance`

  No description available.

#### Return value

Type: `ClutterColorState`

A new ClutterColorState object.

The caller of the function takes ownership of the data, and is responsible for freeing it.